/*
 * 上传图片控制器constructor
 * storageArray: 存放base64（string）
 * storageArrayMaxLength:storageArray允许的最大长度
 * storageArrayMinLength:storageArray允许的最小长度
 * diaplayTag：用于图片展示的元素的id
 * diaplayName: 图片名称
 */
function ImageUploadController(storageArray, storageArrayMaxLength, storageArrayMinLength, diaplayTag, diaplayName){
	this.storageArray = storageArray;
	this.storageArrayMaxLength = storageArrayMaxLength;
	this.storageArrayMinLength = storageArrayMinLength;
	this.diaplayTag = diaplayTag; 
	this.diaplayName = diaplayName; 
}

/*
 * 时间控制器constructor
 * intervalId: 定时器id
 * max: 最大时间
 * min: 最小时间
 */
function TimeController(intervalId, max, min){
	this.intervalId = intervalId;
	this.max = max;
	this.min = min;
}

