

//ajax请求，后端的类/对象
var global_ajaxObject = {
	message: {
		name: "message",
		method_feedback: "feedback",
		method_getmessagelist: "getmessagelist",
		method_messageread: "messageread"
	},
	news: {
		name: "news",		
		method_getaboutus: "getaboutus",
		method_getadpictures: "getadpictures",
		method_getcategories: "getcategories",
		method_getcopyright: "getcopyright",
		method_getnewscontent: "getnewscontent",
		method_getnewslist: "getnewslist",
		method_getpartners: "getpartners",
		method_getslidingpictures: "getslidingpictures",
		method_vipclubsubmit: "vipclubsubmit"
	},
	order: {
		name: "order",
		method_addintocart: "addintocart",
		method_applyforcancellation: "applyforcancellation",
		method_clearcart: "clearcart",
		method_confirmauctionorder: "confirmauctionorder",
		method_deliverylist: "deliverylist",
		method_editcart: "editcart",
		method_generateorders: "generateorders",
		method_getauctionorderlist: "getauctionorderlist",
		method_getmyauctionlist: "getmyauctionlist",
		method_getorderlist: "getorderlist",
		method_getordersbyid: "getordersbyid",
		method_getorderstatuslist: "getorderstatuslist",
		method_payment: "payment",
		method_paymentsd: "paymentsd",
		method_productsincart: "productsincart",
		method_returnapp: "returnapp",
		method_sendpicture: "sendpicture",
		method_signfor: "signfor"
	},
	product: {
		name: "product",		
		method_artistinfo: "artistinfo",
		method_artistlist: "artistlist",
		method_auctiondetail: "auctiondetail",
		method_auctionlist: "auctionlist",
		method_auctionproductdetail: "auctionproductdetail",
		method_bid: "bid",
		method_favorite: "favorite",
		method_favoritelist: "favoritelist",
		method_nonauctionlist: "nonauctionlist",
		method_refreshauctionproduct: "refreshauctionproduct",
		method_shopproductdetail: "shopproductdetail",
		method_shopproductlist: "shopproductlist",
		method_workwanted: "workwanted"
	},
	
	user: {
		name: "user",
		method_changecellphone: "changecellphone",
		method_changeemail: "changeemail",
		method_changepassword: "changepassword",
		method_editpersonalinfo: "editpersonalinfo",
		method_editrecipientaddress: "editrecipientaddress",
		method_getcode: "getcode",
		method_getcodebyusername: "getcodebyusername",
		method_getpersonalinfo: "getpersonalinfo",
		method_getrecipientaddress: "getrecipientaddress",
		method_login: "login",		
		method_recipientaddresslist: "recipientaddresslist",		
		method_register: "register",
		method_retrievepassword: "retrievepassword"
	}
};

//拍卖订单状态id
var global_auctionOrderStatus = {
	quanbu: -1,
	daiqueren: 0,
	daifukuan: 1,
	yifukuan: 2,
	daishouhuo: 3,
	yiwancheng: 4,
	yuqi: 5
};

/*
//pc ip地址
var global_pcIP = "182.92.151.89:8403";
//ajax请求公网域名
var global_publicNetwork = "182.92.151.89:10010";
*/

//pc ip地址
var global_pcIP = "www.jingdiancang.com";
//ajax请求公网域名
var global_publicNetwork = "api.jingdiancang.com";



//新闻类型id
var global_newsCategory = {
	yishukuaixun: 56,
	mingshidaodu: 61,
	woaishuhua: 125
};

//商城订单状态id
var global_orderStatus = {
	quanbu: 0,
	daifukuan: 1,
	yifukuan: 2,
	daishouhuo: 3,
	yiwancheng: 4,
	yiquxiao: -2
};





var global_paymentChannels = {
	0: {
		id: "alipay",
		description: "支付宝",
		serviceReady: true,
		installService: function () {},
		restoreComplateRequest: function (a, d, e){},
		requestOrder: function (a, d, e){}
	},
	1: {
		id: "wxpay",
		description: "微信",
		serviceReady: true,
		installService: function () {},
		restoreComplateRequest: function (a, d, e){},
		requestOrder: function (a, d, e){}
	}
};

//正则表达式对象
var global_regexp = {	
	cellPhone: /^1[3|4|5|7|8]\d{9}$/,
	email: /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/,
	idCard: /(^\d{18}$)|(^\d{17}(\d|X|x)$)/ 	
};

//我的退货状态id
var global_returnStatus = {
	quanbu: 0,
	yishouli: 1,
	weishouli: 2
};

//站内信状态
var global_siteLetterStatus = {
	quanbu: 0,
	weidu: 1,
	yidu: 2
};

//字符串
var global_stringObject = {
	caozuowuxiao: "操作无效",
	changnianzhengji: "常年征集",
	dingdanmingxi: "订单明细",
	dizhiguanli: "地址管理",
	fuwutiaokuan: "《经典藏用户服务条款》",
	gerenxinxi: "个人信息",
	gouwuche: "购物车",
	guanyuwomen: "关于我们",
	jingdianpaimai: "经典拍卖",
	jingdianshangcheng: "经典商城",
	lijigoumai: "立即购买",
	paimaixiangqing: "拍卖详情",
	paimaizuopinxiangqing: "拍卖作品详情",
	querenpaimaidingdan: "确认拍卖订单",
	shenqingtuihuo: "申请退货",
	shoujiyanzheng: "手机验证",
	tianjiashouhuodizhi: "添加收货地址",
	tijiaodingdan: "提交订单",
	vipjulebu: "VIP俱乐部",
	wangluoyichang: "网络异常",
	wocanyude: "我参与的",
	wode: "我的",
	wodetuihuanhuo: "我的退换货",
	xiugaigerenziliao: "修改个人资料",
	xiugaimima: "修改密码",
	xiugaishouhuodizhi: "修改收货地址",
	xiugaiyouxiang: "修改邮箱",
	yishujiaxiangqing: "艺术家详情",
	yishuyanshengpin: "艺术衍生品",
	zhanghuanquan: "账户安全",
	zhanneixin: "站内信",
	zhaohuimima: "找回密码",
	zixunxiangqing: "资讯详情",
	zuopinxiangqing: "作品详情"
};


